Bug 1123186 - Project search fails for multiple word project names
Summary: Project search fails for multiple word project names
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Logic   
(Show other bugs)
Version: 3.4
Hardware: Unspecified Unspecified
unspecified
medium
Target Milestone: ---
: 3.7
Assignee: Alex Eng
QA Contact: Damian Jansen
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 05:04 UTC by Damian Jansen
Modified: 2015-07-22 02:19 UTC (History)
2 users (show)

Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3693)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-22 02:19:45 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1147304 None None None Never

Description Damian Jansen 2014-07-25 05:04:15 UTC
Description of problem:
If a project exists with a two word name, e.g. "Hunger Games", typing "hunger " will match but "hunger g" will not

Version-Release number of selected component (if applicable):
3.4

How reproducible:
Easy always

Steps to Reproduce:
1. Create or find a project with a two word name
2. Enter the first word, followed by a space, in the Search field in the menu bar
 - The project should be displayed
3. Enter the first character of the next word

Actual results:
The search results are empty

Expected results:
The project should still show

Additional info:

Comment 1 Alex Eng 2015-06-01 04:11:32 UTC
Pull request:

https://github.com/zanata/zanata-server/pull/839

Comment 2 Damian Jansen 2015-06-02 05:10:58 UTC
Verified at 1b2c207a1c0ec9eea604a00311c665cb36ae3a12


Note You need to log in before you can comment on or make changes to this bug.